Skip to content

Scenario 2: Custom Lyrics and Song Title

POST https://www.kkiai.com/suno/generate

Request Parameters

Authorization

Add the Authorization parameter in the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Request Example

json
{
  "prompt": "[Verse]\nConnected days always busy\nFiles piled endlessly\nHide dreams deep in drawers\nCoffee cup has gone cold\n\n[Verse 2]\nClocking in at eight in the morning\nTired eyes without sparkle\nChit-chat between colleagues is meaningless\nJust hoping time flies faster\n\n[Chorus]\nWork work boss's call\nFinish finish then it's safe\nOvertime overtime to earn some money\nDreams dreams when will they come true\n\n[Verse 3]\nLunch time eating a bento box\nLooking out the window at brilliant sunshine\nLife is so far from dreams\nOnly desk and chair in sight\n\n[Bridge]\nBoss's footsteps sound like thunder\nHeartbeat accelerates with the rhythm\nPiles of files on the desk\nComplaints gradually fade away\n\n[Chorus]\nWork work boss's call\nFinish finish then it's safe\nOvertime overtime to earn some money\nDreams dreams when will they come true",
  "mv": "chirp-v3-5",
  "title": "Work",
  "tags": " edm"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/suno/generate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "prompt": "[Verse]\nConnected days always busy\nFiles piled endlessly\nHide dreams deep in drawers\nCoffee cup has gone cold\n\n[Verse 2]\nClocking in at eight in the morning\nTired eyes without sparkle\nChit-chat between colleagues is meaningless\nJust hoping time flies faster\n\n[Chorus]\nWork work boss's call\nFinish finish then it's safe\nOvertime overtime to earn some money\nDreams dreams when will they come true\n\n[Verse 3]\nLunch time eating a bento box\nLooking out the window at brilliant sunshine\nLife is so far from dreams\nOnly desk and chair in sight\n\n[Bridge]\nBoss's footsteps sound like thunder\nHeartbeat accelerates with the rhythm\nPiles of files on the desk\nComplaints gradually fade away\n\n[Chorus]\nWork work boss's call\nFinish finish then it's safe\nOvertime overtime to earn some money\nDreams dreams when will they come true",
  "mv": "chirp-v3-5",
  "title": "Work",
  "tags": " edm"
}'

Response

🟢 200 Success

Response Example

json
{}